Skip to main content

Contact EMV Offline PIN Authorizations


During a contact EMV authorization, the customer inserts the card into the terminal, which causes the EMV chip to be in contact with the terminal. When processing an offline PIN transaction, the EMV chip verifies the customer PIN.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "test123",    "transactionId": "uniqueValue2",    "partner": {      "thirdPartyCertificationNumber": "testTPCN"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "authorizationOptions": {      "partialAuthIndicator": "true"    }  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "9900.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "entryMode": "contact",    "terminalCapability": 4,    "terminalPinCapability": 6,    "emv": {      "tags": "5F3401019F3303E0F8C8950580800480009F370465B81A3A9F100706011203A0A0009F2608E9D097D1901E8AB99F36020002820218009C01009F1A0208409A032307259F02060000000007005F2A0208409F0306000000000000DF78083831393931303236DF791B322D30323436362D312D31432D5246492D303331332D342E332E62",      "cardSequenceNumber": "01"    },    "trackData": ";4761xxxxxxxxxxxx=251220111478549?"  },  "merchantInformation": {    "transactionLocalDateTime": "20230724085022"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6938894575296498704951/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6938894575296498704951"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6938894575296498704951/captures"    }  },  "clientReferenceInformation": {    "code": "test123",    "transactionId": "uniqueValue2"  },  "id": "6938894575296498704951",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "9900.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "A",      "group": "0"    },    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"    }  },  "processorInformation": {    "systemTraceAuditNumber": "188589",    "approvalCode": "831000",    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "324704188589",    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "6938894575296498704951",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-09-05T04:50:58Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.type—
pointOfSaleInformation.emv.cardSequenceNumber—
pointOfSaleInformation.emv.tags—
pointOfSaleInformation.entryModeSet the value to contact.
pointOfSaleInformation.terminalCapabilitySet the value to 4. Set the value to 0 if the terminal does not support PINs.
pointOfSaleInformation.terminalPinCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.

These fields differ from the default required fields for merchants processing in Argentina.

Argentina Required fields
FieldDescription
merchantInformation.transactionLocalDateTimeRequired when the time zone is not set in your account.
invoiceDetails.salesSlipNumber—

This field differs from the default required fields for merchants processing in India.

India Required fields
FieldDescription
pointOfSaleInformation.terminalCompliance—

This field differs from the default required fields for merchants processing in Japan.

Japan Required fields
FieldDescription
invoiceDetails.salesSlipNumber—

Last published: September 29, 2026